Bug 4053 - Bad: gq crashed at browsing
: Bad: gq crashed at browsing
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gq)
: unstable
: all Linux
: P1 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-29 16:24 by
Modified: 2005-08-31 01:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-29 16:24:05
Bad: GQ падает при просмотре дерева. 
Регистрируется нормально, при попытке развернуть дерево падает
в консоли: gq: error while loading shared libraries: gq: undefined symbol:
ldap_str2dn
------- Comment #1 From 2004-05-14 13:38:08 -------
Какая версия пакета ?
------- Comment #2 From 2004-05-14 13:52:32 -------
gq-0.7.0-alt10.beta2.1
Хожу на openldap-servers-2.0.27-alt5 (Master 2.2)

Без TLS
------- Comment #3 From 2004-05-14 14:49:17 -------
В данном случае похоже проблема в зависимостях.
Поставлю зависимость на openldap =>2.1.30.
Последняя версия пакета пересобиралась относительно openldap-2.1.30
соответственно могут быть проблемы.
Попробуйте пересобрать GQ на мастере относительно библиотек
libldap-devel-2.0.27
------- Comment #4 From 2004-05-14 15:28:25 -------
Я попробую конечно пересобрать.
Только на более старом Сизифе
gq-0.7.0-alt8.beta2
libldap-2.1.26-alt3.1
отлично работает (кроме TLS который поломался при переходе на 2.1 openldap)

Да и не вижу смысла пересобирать Сизифовский gq на Мастере т.к. родной рабочий.
Просто приходится через ssh -X работать.
------- Comment #5 From 2004-05-14 16:33:59 -------
Только на более старом Сизифе
gq-0.7.0-alt8.beta2
libldap-2.1.26-alt3.1
        ^^^^^^
а не работает с 2.0.ххх ???

отлично работает (кроме TLS который поломался при переходе на 2.1 openldap)
TLS - не работает пока так как есть проблема с работой от пользователя


Так мы багу закрываем ?
------- Comment #6 From 2004-05-14 17:24:53 -------
Значит так
у меня на свежем Сизифе
gq-0.7.0-alt10.beta2.1
libldap-2.1.30-alt2.1
не работает

на более старом Сизифе
gq-0.7.0-alt8.beta2
libldap-2.1.26-alt3.1
работает нормально и работает с openldap-servers-2.0.27-alt5 (Master 2.2)


P.S. Кстати с новым libssl gq не работает (пересобирать надобно)
------- Comment #7 From 2004-06-04 18:28:59 -------
какой результат дискуссии? 
 
------- Comment #8 From 2004-06-04 18:42:30 -------
Уже работает нормально.